%global fontname overpass

Name:		%{fontname}-fonts
Version:	3.0.4
Release:	1
Summary:	Overpass fonts
License:	OFL or LGPLv2+
URL:		https://github.com/RedHatBrand/overpass/
Source0:	https://github.com/RedHatBrand/Overpass/archive/%{version}.tar.gz
Source1:	%{name}-fontconfig.conf
Source2:	overpass-mono-fonts-fontconfig.conf

BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

%description
This package provides free and open source overpass fonts.It is based on the U.S.
interstate highway road signage type system.

%package -n overpass-mono-fonts
Summary:	Monospace overpass fonts

%description -n overpass-mono-fonts
This package provides free and open source overpass fonts.It is based on the U.S.
interstate highway road signage type system.It is monospace font.

%prep
%setup -q -n Overpass-%{version}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p desktop-fonts/overpass*/*.otf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_confdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir}
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/60-overpass-mono.conf
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/60-overpass.conf
ln -s %{_fontconfig_templatedir}/60-overpass-mono.conf %{buildroot}%{_fontconfig_confdir}/60-overpass-mono.conf
ln -s %{_fontconfig_templatedir}/60-overpass.conf %{buildroot}%{_fontconfig_confdir}/60-overpass.conf


%_font_pkg -f 60-overpass.conf overpass-bold*.otf overpass-extra*.otf overpass-heavy*.otf overpass-italic*.otf overpass-light*.otf overpass-regular*.otf overpass-semibold*.otf overpass-thin*.otf
%doc overpass-specimen.pdf README.md
%license LICENSE.md

%_font_pkg -n overpass-mono -f 60-overpass-mono.conf overpass-mono-*.otf
%doc overpass-mono-specimen.pdf README.md
%license LICENSE.md

%changelog
* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.0.4-1
- Upgrade to version 3.0.4

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 3.0.3-4
- Package init
